Package org.springframework.core.io

# Class VfsUtils

java.lang.Object
org.springframework.core.io.VfsUtils

public abstract class VfsUtils extends Object
Utility for detecting and accessing JBoss VFS in the classpath.

As of Spring 4.0, this class supports VFS 3.x on JBoss AS 6+ (package `org.jboss.vfs`) and is in particular compatible with JBoss AS 7 and WildFly 8+.

Thanks go to Marius Bogoevici for the initial implementation.

Note: This is an internal class and should not be used outside the framework.

Since:
  3.0.3
Author:
  Costin Leau, Juergen Hoeller

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final Method`
`VIRTUAL_FILE_METHOD_VISIT`
`protected static final Class<?>`
`VIRTUAL_FILE_VISITOR_INTERFACE`

## Constructor Summary

Constructors
Constructor
Description
`VfsUtils()`

## Method Summary

Modifier and Type
Method
Description
`protected static String`
`doGetPath(Object resource)`
`protected static Object`
`doGetVisitorAttributes()`
`protected static Object`
`getRoot(URL url)`
`protected static Object`
`invokeVfsMethod(Method method, Object target, Object... args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### VIRTUAL_FILE_VISITOR_INTERFACE

protected static final Class<?> VIRTUAL_FILE_VISITOR_INTERFACE

### VIRTUAL_FILE_METHOD_VISIT

protected static final Method VIRTUAL_FILE_METHOD_VISIT

## Constructor Details

### VfsUtils

public VfsUtils()

## Method Details

### invokeVfsMethod

protected static Object invokeVfsMethod(Method method, @Nullable Object target, Object... args) throws IOException

Throws:
  `IOException`

### getRoot

protected static Object getRoot(URL url) throws IOException

Throws:
  `IOException`

### doGetVisitorAttributes

@Nullable protected static Object doGetVisitorAttributes()

### doGetPath

@Nullable protected static String doGetPath(Object resource)